const chalk = require('chalk')

// const supportsEmoji =
//   process.platform !== 'win32' || process.env.TERM === 'xterm-256color'

// const chars = {
//   progress: supportsEmoji ? '⏳' : '∞',
//   success: supportsEmoji ? '👌' : '√',
//   error: supportsEmoji ? '🚨' : '×',
//   warning: supportsEmoji ? `⚠️` : '‼'
// }

class Logger {
  constructor(options) {
    this.setOptions(options)
  }

  setOptions(options) {
    this.options = Object.assign({}, this.options, options)
  }

  log(...args) {
    console.log(...args)
  }

  debug(...args) {
    if (!this.options.debug) {
      return
    }
    console.log(chalk.magenta.bold('===>'), ...args.map(str => chalk.bold(str)))
  }

  error(...args) {
    console.error(chalk.red(args.join(' ')))
    process.exitCode = process.exitCode || 1
  }

  success(...args) {
    console.log(`${chalk.inverse.bgBlack.green(' SUCCESS ')}`, ...args)
  }
}

module.exports = new Logger()
